## label_textfield_widget

Flutter widget that porting from JVFloatLabeledTextField in swift

### Show some :heart: and star the repo to support the project

### Resources:
- [Documentation](https://pub.dev/documentation/label_textfield_widget/latest)
- [Pub Package](https://pub.dev/packages/label_textfield_widget)
- [GitHub Repository](https://github.com/trongdth/MroomLabelTextfieldWidget)

### Demo:

![](https://raw.githubusercontent.com/trongdth/MroomLabelTextfieldWidget/master/screenshots/demo.gif)



## Usage

### Use the package

```dart
import 'package:label_textfield_widget/label_textfield_widget.dart';

LabelTextFieldWidget(
    hintText: 'First Name',
    showClearBtn: true,
    showBorder: false,
    lblNormalStyle: TextStyle(
        color: Colors.black,
    ),
    lblHighlightStyle: TextStyle(
        color: Colors.red,
    ),
)
```

### Parameters

| Parameter | Description |
|---|---|
| `hintText`* | The `hintText` of TextField widget. |
| `showClearBtn` | `bool` type which supports clear all text. |
| `showBorder` | `bool` type. |
| `lblNormalStyle` | `TextStyle` type. You can adjust the text style of smaller text when textfield has no text input. |
| `lblHighlightStyle` | `TextStyle` type. You can adjust the text style of smaller text when textfield has text input. |


### Created & Maintained By

[Trong Dinh](https://github.com/trongdth) ([@trongdth](https://www.twitter.com/trongdth))

> If you found this project helpful or you learned something from the source code and want to thank me, consider buying me a cup of :coffee:
>
> * [Ethereum address: 0x9a1592C20A15f99AbB6b69E199f38D50Fa8372Ac]
> * [EOS account: zcryptoman1z]

## Getting Started

This project is a starting point for a Flutter application.

A few resources to get you started if this is your first Flutter project:

- [Lab: Write your first Flutter app](https://flutter.dev/docs/get-started/codelab)
- [Cookbook: Useful Flutter samples](https://flutter.dev/docs/cookbook)

For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.
